<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>disable</Nullable>
    <NoWarn>CA1416;CS8769;CS0108;CS8602;CS8601;CS8620;CS8618;CS8603;CS8767;CS8625;CS8604;CS8600;CS8604</NoWarn>    
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="HtmlAgilityPack">
      <HintPath>..\assemblies\HtmlAgilityPack.dll</HintPath>
    </Reference>
    <ProjectReference Include="../../Axiom/Axiom.Core/Axiom.Core.csproj" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="9.0.3" />
    <PackageReference Include="MySql.Data" Version="9.2.0" />
    <PackageReference Include="NewtonSoft.Json" Version="13.0.3" />
    <PackageReference Include="System.Drawing.Common" Version="9.0.3" />
    <PackageReference Include="SkiaSharp" Version="3.116.1" />
    <PackageReference Include="SkiaSharp.NativeAssets.Linux.NoDependencies" Version="3.116.1" />    
  </ItemGroup>
</Project>
